# Class MariaDbPoolPinnedConnection

java.lang.Object
org.mariadb.jdbc.MariaDbPoolConnection
org.mariadb.jdbc.MariaDbPoolPinnedConnection

All Implemented Interfaces:
  `PooledConnection, XAConnection`

public class MariaDbPoolPinnedConnection extends MariaDbPoolConnection
MariaDB pool connection implementation

## Constructor Summary

Constructors
Constructor
Description
`MariaDbPoolPinnedConnection(Connection connection)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close underlying connection
`XAResource`
`getXAResource()`

### Methods inherited from class MariaDbPoolConnection

`addConnectionEventListener, addStatementEventListener, fireConnectionClosed, fireConnectionErrorOccurred, fireStatementClosed, fireStatementErrorOccurred, flagsToString, getConnection, isClosed, mapXaException, removeConnectionEventListener, removeStatementEventListener, xidToString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MariaDbPoolPinnedConnection

public MariaDbPoolPinnedConnection(Connection connection)
Constructor.

Parameters:
  `connection` - connection to retrieve connection options

## Method Details

### close

public void close() throws SQLException
Close underlying connection

Specified by:
  `close` in interface `PooledConnection`
Overrides:
  `close` in class `MariaDbPoolConnection`
Throws:
  `SQLException` - if close fails

### getXAResource

public XAResource getXAResource()

Specified by:
  `getXAResource` in interface `XAConnection`
Overrides:
  `getXAResource` in class `MariaDbPoolConnection`